import { ComponentInterface } from '../../stencil-public-runtime';
import { BalBreakpointObserver, BalBreakpoints } from '../../utils/breakpoints';
import { BalConfigObserver, BalConfigState } from '../../utils/config';
export declare class Hint implements ComponentInterface, BalConfigObserver, BalBreakpointObserver {
    element: HTMLElement;
    private popupElement;
    private slotWrapperEl?;
    private hintContentEl?;
    private bodyScrollHandler;
    private componentId;
    isActive: boolean;
    innerCloseLabel: string;
    isMobile: boolean;
    /**
     * Text for the close button.
     */
    closeLabel?: string;
    /**
     * Disables the close button for tablet and desktop
     */
    small: boolean;
    connectedCallback(): void;
    componentDidRender(): void;
    disconnectedCallback(): void;
    breakpointListener(breakpoints: BalBreakpoints): void;
    /**
     * @internal define config for the component
     */
    configChanged(state: BalConfigState): Promise<void>;
    /**
     * Toggles the hint box.
     */
    toggle(): Promise<void>;
    /**
     * Opens the hint box.
     */
    present(): Promise<void>;
    /**
     * Closes the hint box.
     */
    dismiss(): Promise<void>;
    private onPopupChange;
    private updateContent;
    render(): any;
}
